Bug 1121637 - perl-Net-Statsd-Server-0.17-1.fc22 FTBFS: race in t/integration-tests/bad-message.t
Summary: perl-Net-Statsd-Server-0.17-1.fc22 FTBFS: race in t/integration-tests/bad-mes...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Net-Statsd-Server
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Dick
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 12:28 UTC by Petr Pisar
Modified: 2016-07-19 11:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:56:57 UTC


Attachments (Terms of Use)

Description Petr Pisar 2014-07-21 12:28:42 UTC
perl-Net-Statsd-Server-0.17-1.fc22 can fails to build like this:

2014-07-18 16:52:50.000000 +0200 note  Net::Statsd::Server: Initializing Net::Statsd::Server::Backend::Console backend
2014-07-18 16:52:50.000000 +0200 note  Net::Statsd::Server: Initializing Net::Statsd::Server::Backend::Graphite backend
2014-07-18 16:52:50.000000 +0200 info  AnyEvent: Autoloaded model 'AnyEvent::Impl::Perl', using it.
2014-07-18 16:52:50.319436 +0200 note  Net::Statsd::Server: statsd server started on 0.0.0.0:40001 (v0.17)
2014-07-18 16:52:50.319499 +0200 note  Net::Statsd::Server: manager interface started on 0.0.0.0:40002
2014-07-18 16:52:50.319549 +0200 note  Net::Statsd::Server: metrics flush will happen every 1s
2014-07-18 16:52:51.319011 +0200 note  Net::Statsd::Server: flushing metrics
Flushing stats at Fri Jul 18 16:52:51 2014
{"timer_data":{},"pctThreshold":[90],"timers":{},"sets":null,"counters":{"statsd.packets_received":0,"statsd.bad_lines_seen":0},"gauges":{},"counter_rates":{"statsd.packets_received":0
,"statsd.bad_lines_seen":0}}
#   Failed test 'Backend recognised our bad message bumping 'bad_lines_seen''
#   at t/integration-tests/bad-message.t line 31.
#          got: '0'
#     expected: '1'
# Looks like you failed 1 test of 4.
t/integration-tests/bad-message.t .......... 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/4 subtests 

This is a race in tests (or Test::Statsd module) and can be reproduced easily by inserting "sleep 10;" into t/integration-tests/bad-message.t between send_udp() and wait_and_collect_flush_data() invocations:

$t->start_statsd();
$t->send_udp(localhost=>40001, "a_bad_test_value|z");
sleep 10;
# Will wait until it receives the graphite flush
my $stats = $t->wait_and_collect_flush_data();
$t->stop_statsd();

Such test is unreliable and fails randomly, especially on a loaded host.

Comment 1 David Dick 2014-07-22 10:15:09 UTC
Investigation of the CPAN Testers results at

http://www.cpantesters.org/distro/N/Net-Statsd-Server.html#Net-Statsd-Server-0.17

show that this is a known issue.

All the tests under the integration-test directory seem prone to this type of failure.

I've temporarily removed the integration-test directory to allow builds to work again and notified upstream of the issue.

f22 has been built successfully using 0.17-2 at http://koji.fedoraproject.org/koji/taskinfo?taskID=7176906

Comment 2 Jaroslav Reznik 2015-03-03 17:03:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Fedora End Of Life 2016-07-19 11:56:57 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.